Project

General

Profile

Bug #57961

Unable to access some magna nodes after reboot

Added by Sunil Angadi 3 months ago. Updated 3 months ago.

Status:
In Progress
Priority:
Normal
Assignee:
Category:
Infrastructure Hardware
Target version:
-
% Done:

0%

Source:
Q/A
Tags:
Backport:
Regression:
No
Severity:
2 - major
Reviewed:
Affected Versions:
ceph-qa-suite:
Crash signature (v1):
Crash signature (v2):

Description

after rebooting magna083 and magna084
unable to access it.

History

#1 Updated by adam kraitman 3 months ago

  • Status changed from New to In Progress
  • Assignee set to adam kraitman

#2 Updated by adam kraitman 3 months ago

Machines installed with rhel9

#3 Updated by Sunil Angadi 3 months ago

Hi adam,
during teutholgy re-image facing below error
  1. 2022-11-03 01:00:07,238.238 ERROR:paramiko.transport: raise EOFError()
  2. 2022-11-03 01:00:07,238.238 ERROR:paramiko.transport:EOFError
  3. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport:
  4. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport:During handling of the above exception, another exception occurred:
  5. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport:
  6. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport:Traceback (most recent call last):
  7. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport: File "/home/sangadi/test/teuthology/virtualenv/lib/python3.6/site-packages/paramiko/transport.py", line 2039, in run
  8. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport: self._check_banner()
  9. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport: File "/home/sangadi/test/teuthology/virtualenv/lib/python3.6/site-packages/paramiko/transport.py", line 2216, in _check_banner
  10. 2022-11-03 01:00:07,240.240 ERROR:paramiko.transport: "Error reading SSH protocol banner" + str(e)
  11. 2022-11-03 01:00:07,240.240 ERROR:paramiko.transport:paramiko.ssh_exception.SSHException: Error reading SSH protocol banner
  12. 2022-11-03 01:00:07,240.240 ERROR:paramiko.transport:
  13. 2022-11-03 01:00:07,846.846 ERROR:teuthology.orchestra.connection:Error authenticating with magna084.ceph.redhat.com: Authentication failed.
  14. ^CTraceback (most recent call last):
  15. File "./teuthology-reimage", line 33, in <module>
  16. sys.exit(load_entry_point('teuthology', 'console_scripts', 'teuthology-reimage')())
  17. File "/home/sangadi/test/teuthology/scripts/reimage.py", line 25, in main
  18. return teuthology.reimage.main(args)
  19. File "/home/sangadi/test/teuthology/teuthology/reimage.py", line 57, in main
  20. p.spawn(reimage_node, ctx, shortname(node['name']), node['machine_type'])
  21. File "/home/sangadi/test/teuthology/teuthology/parallel.py", line 84, in exit
  22. for result in self:
  23. File "/home/sangadi/test/teuthology/teuthology/parallel.py", line 95, in next
  24. result = self.results.get()
  25. File "src/gevent/queue.py", line 329, in gevent._queue.Queue.get
    #
    

#4 Updated by Sunil Angadi 3 months ago

Sunil Angadi wrote:

Hi adam,
during teutholgy re-image facing below error
  1. 2022-11-03 01:00:07,238.238 ERROR:paramiko.transport: raise EOFError()
  2. 2022-11-03 01:00:07,238.238 ERROR:paramiko.transport:EOFError
  3. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport:
  4. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport:During handling of the above exception, another exception occurred:
  5. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport:
  6. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport:Traceback (most recent call last):
  7. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport: File "/home/sangadi/test/teuthology/virtualenv/lib/python3.6/site-packages/paramiko/transport.py", line 2039, in run
  8. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport: self._check_banner()
  9. 2022-11-03 01:00:07,239.239 ERROR:paramiko.transport: File "/home/sangadi/test/teuthology/virtualenv/lib/python3.6/site-packages/paramiko/transport.py", line 2216, in _check_banner
  10. 2022-11-03 01:00:07,240.240 ERROR:paramiko.transport: "Error reading SSH protocol banner" + str(e)
  11. 2022-11-03 01:00:07,240.240 ERROR:paramiko.transport:paramiko.ssh_exception.SSHException: Error reading SSH protocol banner
  12. 2022-11-03 01:00:07,240.240 ERROR:paramiko.transport:
  13. 2022-11-03 01:00:07,846.846 ERROR:teuthology.orchestra.connection:Error authenticating with magna084.ceph.redhat.com: Authentication failed.
  14. ^CTraceback (most recent call last):
  15. File "./teuthology-reimage", line 33, in <module>
  16. sys.exit(load_entry_point('teuthology', 'console_scripts', 'teuthology-reimage')())
  17. File "/home/sangadi/test/teuthology/scripts/reimage.py", line 25, in main
  18. return teuthology.reimage.main(args)
  19. File "/home/sangadi/test/teuthology/teuthology/reimage.py", line 57, in main
  20. p.spawn(reimage_node, ctx, shortname(node['name']), node['machine_type'])
  21. File "/home/sangadi/test/teuthology/teuthology/parallel.py", line 84, in exit
  22. for result in self:
  23. File "/home/sangadi/test/teuthology/teuthology/parallel.py", line 95, in next
  24. result = self.results.get()
  25. File "src/gevent/queue.py", line 329, in gevent._queue.Queue.get

#5 Updated by Sunil Angadi 3 months ago

After un-successful execution of teuthology re-image some of the nodes able to connect and some are not connecting, even after reboot of that nodes, not able connect that as well.

Also available in: Atom PDF